/*****************************************************************************/
/*	Copyright Sebastian Meuren 2003, 2008 
	
	This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>. */
/*****************************************************************************/
#define	SDCARD_SECTORSIZE	512
#define	SDCARD_CACHEDIRTY	1
#define	SDCARD_CACHECLEAN	0

#define	SD_DESELECT			PORTB	|= _BV(1);
#define	SD_SELECT			PORTB	&= ~_BV(1);
#define	SD_SELECT_INIT		DDRB	|= _BV(1);

#define	SD_HIGHCAPACITY		1
#define	SD_LOWCAPACITY		2

void sd_spiconfig(void);
u8	sd_wr(u32 u32SecAdd,u16 u16Offset,u8* u8pData,u16 u16Length);
u8	sd_rd(u32 u32SecAdd,u16 u16Offset,u8* u8pData,u16 u16Length);
s8	sd_rdtocache(u32 u32SecAdd);
s8	sd_rdsec(u32 u32SecAdd,u8* u8pData);
u8	sd_wrsec(u32 u32SecAdd,u8* u8pData);
s8	sd_sendcmd(u8 u8cmd,u32 u32arg);
s8	sd_reset(void);
s8	sd_init(void);
